
ISTI Open Access - Support #22009

Support # 22008 (Closed): Cater for OpenPortal for ISPC

openportal.ispc.cnr.it: create the Joomla instance

Sep 15, 2021 10:29 AM - Leonardo Candela

Status: Closed Start date: Sep 15, 2021

Priority: Urgent Due date:  

Assignee: Tommaso Piccioli % Done: 100%

Category:  Estimated time: 0.00 hour

Infrastructure:  VREName:  

Description

I kindly ask to create an instance suitable for hosting the new OpenPortal instance. 

Related issues:

Related to ISTI Open Access - Incident #22438: FTP for ISPC Open Portal is no... Closed Nov 18, 2021

History

#1 - Sep 15, 2021 11:39 AM - Anonymous

We could create the Joomla instance directly in a new machine (configured with a more recent version of PHP) without updating the other machines

(aggregator and backends).

So I could test the behaviour of the portal with the new PHP version and after move the other instances (ISTI, ISMAR, beta) to the new machine.

For the creation of the Joomla instance could you clone the instance of the ISMAR institute?

Guide: https://docs.joomla.org/Copying_a_Joomla_website

Folder (old): /var/www/openportal.ismar.cnr.it on portal-openportal.isti.cnr.it

Folder (new): /var/www/openportal.ispc.cnr.it on new-portal-openportal.isti.cnr.it

DB (old) : op_ismar_joomla on backend-openportal

DB (new) : op_ispc_joomla on backend-openportal

#2 - Sep 15, 2021 03:34 PM - Leonardo Candela

Rather than cloning the ISMAR instance I would clone the ISTI instance for a couple of reasons:

ISPC have a policy;

ISPC would like to have statistics;

None of the two is on the ISMAR site

#3 - Sep 17, 2021 12:16 PM - Michele Artini

I tested the ISTI OpenPortal  on my machine running MAMP:

PHP 7.4.21

MySQL 5.7.34

Apache 2.4.48

I had to add manually the following modules using pecl:

solr

mongodb

and add the following lines to php.ini:

extension=solr.so

extension=mongodb.so

 The portal has been tested accessing the mongoDb and Solr hosted in backend.openportal.isti.cnr.it via SSH tunnels.

I have not found problems to update the PHP version.

#4 - Sep 21, 2021 05:35 PM - Leonardo Candela

- Priority changed from Normal to High
#5 - Sep 24, 2021 09:35 AM - Leonardo Candela

- Assignee changed from _InfraScience Systems Engineer to Tommaso Piccioli

#6 - Sep 28, 2021 02:46 PM - Leonardo Candela

- Priority changed from High to Urgent

I kindly ask @tommaso.piccioli@isti.cnr.it to create this instance on the newly created machine ... ISPC colleagues are pushing for their instance. 

#7 - Oct 22, 2021 04:04 PM - Leonardo Candela

- Status changed from New to In Progress

- % Done changed from 0 to 90

I would consider this task almost complete ... https://openportal.ispc.cnr.it/ is up

There are some steps needed to finalize the ftp part

#8 - Nov 17, 2021 01:14 PM - Andrea Dell'Amico

About ftp: see #21881#note-12

#9 - Nov 17, 2021 04:51 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

#10 - Nov 18, 2021 02:01 PM - Andrea Dell'Amico

- Related to Incident #22438: FTP for ISPC Open Portal is not reachable from outside  added
